## maui-strike 2.0.0

=== debian/changelog ===
maui-strike (2.0.0-0zneon+24.04+noble+release+build5) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 23:15:26 +0000

maui-strike (2.0.0-0neon) noble; urgency=medium

  * New release 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 07 Sep 2023 05:36:33 -0700

strike (1.1.1-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/strike/([\d\.]+)/@PACKAGE@-([\d\.]+).tar.xz

## maui-strike 2.0.0+p24.04+vstable+git20250914.2019

=== debian/changelog ===
maui-strike (2.0.0+p24.04+vstable+git20250914.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:19:07 +0000

## maui-strike 2.0.0+p24.04+vstable+git20251019.0731

=== src/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

set(strike_SRCS
    main.cpp
    strike.h
    controllers/cmakedata.cpp
    controllers/cmakeapi.cpp
    models/cmakeprojectsmodel.cpp
    models/cmaketargetsmodel.cpp
    models/sourcesmodel.cpp

    controllers/cmakeproject.cpp
    controllers/cmakeprojecttarget.cpp
    controllers/projectmanager.cpp
    controllers/processmanager.cpp
    controllers/cmakeproject.cpp
    controllers/process.cpp
    controllers/projectpreferences.cpp
    controllers/processes/configureprocess.cpp
    controllers/cmakeprojectmanager.cpp
    controllers/git/gitprocess.cpp
    controllers/git/cloneprocess.cpp)

qt_add_resources(strike_ASSETS
    assets/img_assets.qrc)

qt_add_executable(${PROJECT_NAME}
    ${strike_SRCS}
    ${strike_ASSETS})

qt_add_qml_module(${PROJECT_NAME} URI app.maui.strike
    NO_PLUGIN
    QML_FILES
    main.qml
    views/widgets/SettingsDialog.qml
    views/PlacesSidebar.qml
    views/editor/EditorView.qml
    views/editor/Editor.qml
    views/editor/EditorLayout.qml
    views/widgets/BuildBar.qml
    views/widgets/OutputPanel.qml
    views/widgets/ProjectConfigDialog.qml
    views/widgets/GitPanel.qml
    views/widgets/BuildOutputPanel.qml)

target_compile_definitions(${PROJECT_NAME} PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    MauiKit4
    MauiKit4::FileBrowsing
    MauiKit4::Terminal
    MauiKit4::TextEditor
    Qt6::Quick
    Qt6::Widgets
    Qt6::Qml
    KF6::CoreAddons
    KF6::I18n)

install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
maui-strike (2.0.0+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:29 +0000

=== debian/control ===
Source: maui-strike
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               libmauikitterminal-dev,
               libmauikittexteditor-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-strike
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-strike.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-strike
Maintainer: Neon CI <neon@kde.org>

Package: maui-strike
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-terminal,
         qml6-module-org-mauikit-texteditor,
         ${misc:Depends},
         ${shlibs:Depends}
Description: strike
 Strike is a simple minimal IDE for the Linux phones. Code, build, and run from the phone.
 .

Package: strike
Depends: maui-strike, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

## maui-strike 2.0.0+p24.04+vstable+git20260130.1007

=== debian/changelog ===
maui-strike (2.0.0+p24.04+vstable+git20260130.1007-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:07:16 +0000

## maui-strike 2.0.0+p24.04+vstable+git20260205.0608

=== debian/changelog ===
maui-strike (2.0.0+p24.04+vstable+git20260205.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:08:12 +0000

## maui-strike 2.0.0+p24.04+vunstable+git20251123.2002

=== debian/changelog ===
maui-strike (2.0.0+p24.04+vunstable+git20251123.2002-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 20:02:53 +0000
